
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT shim
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}
%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%global golang_version 1.16
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:         kata-shim
Version:      1.12.1
Release:      8%{?dist}
#   0.20210113.git6cdee84
Vendor:       Oracle America
Summary:      Shim component for Kata containers
Group:        Development/Tools
License:      Apache-2.0
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: git
BuildRequires: golang >= %{golang_version}

%global debug_package %{nil}

%description
As Kata containers are providing VM isolation the host container process reaper cannot monitor and reap the actual container process within that VM. The shim component implements forwarding of all signals the container process reaper decides to send to the container process.

%prep
%setup -q

%build
export GO111MODULE=auto
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%install
make install LIBEXECDIR=%{buildroot}%{LIBEXECDIR}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-shim

%changelog
* Thu Aug 24 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.12.1-8
- Bump release inline with other kata packages for fixing timestamp issue

* Thu Aug 03 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.12.1-7
- Add support for ARM build

* Fri Jun 02 2023 Michael Thompson <michael.a.thompson@oracle.com> - 1.12.1-6
- Bump releaase inline with others for reversion of removal of OL7.

* Thu Oct 13 2022 Michael Thompson <michael.a.thompson@oracle.com> - 1.12.1-5
- Add support for Oracle Linux 9

* Mon Apr 25 2022 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-4
- Updated THIRD_PARTY_LICENSES.txt generated using pls attribution-helper

* Mon Nov 22 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-3
- updated golang version
- added buildhost variable

* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Fri Jan 15 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-shim
